Subject: bug#13670: 24.3.50; `autoload-generate-file-autoloads' off-by-one bug

From: Drew Adams <[email-masked]>
Date: Sun, 1 May 2016 08:11:17 -0800 (GMT-08:00)

> The emacs-25 version of `autoload-generate-file-autoloads' does not
> contain a call to `char-after', so I think it has been rewritten in the
> meantime.
> 
> Moreover, if I let Emacs generate file autoloads for a file with this
> content:
> 
> #+begin_src emacs-lisp
> ;;;###autoload (autoload 'icicle-mode "icicles"
> ;;;###autoload"Icicle mode: Toggle minibuffer input completion and
> cycling.
> ;;;###autoloadNon-nil prefix ARG turns mode on if ARG > 0, else off.
> ;;;###autoloadIt is a global minor mode.  It binds minibuffer keys."
> ;;;###autoloadt nil)
> #+end_src
> 
> (update-file-autoloads
>   "/home/micha/today/test.el"
>    nil
>   "/home/micha/today/test-auto.el")
> 
> the result looks like this:
> 
> #+begin_src emacs-lisp
>  (autoload 'icicle-mode "icicles"
> "Icicle mode: Toggle minibuffer input completion and cycling.
> Non-nil prefix ARG turns mode on if ARG > 0, else off.
> It is a global minor mode.  It binds minibuffer keys."
>  nil)
> #+end_src
> 
> So this generates a sane docstring.
> 
> Is this acceptable?

Absolutely.  Based on what you say, I'll close the bug.  Thx.